# $Revision: 1.12 $, $Date: 2005/09/17 10:44:59 $
Summary:	Prolog Compiler
Summary(pl):	Kompilator Prologu
Name:		Yap
Version:	4.5.5
Release:	3
License:	Artistic
Group:		Development/Languages
Source0:	http://dl.sourceforge.net/yap/%{name}-%{version}.tar.gz
# Source0-md5:	661e289f4bdac0e6cfc7e59d4421c2a8
Patch0:		%{name}-acdirs.patch
Patch1:		%{name}-port.patch
Patch2:		%{name}-nolibs.patch
Patch3:		%{name}-info.patch
URL:		http://www.ncc.up.pt/~vsc/Yap/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gmp-devel
BuildRequires:	indent
BuildRequires:	readline-devel
BuildRequires:	texinfo
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# follow configure
%define		specflags_ia32	-DBP_FREE

%description
A high-performance Prolog compiler developed at LIACC, Universidade do
Porto. The Prolog engine is based in the WAM (Warren Abstract
Machine), with several optimizations for better performance. YAP
follows the Edinburgh tradition, and is largely compatible with the
ISO-Prolog standard and with Quintus and SICStus Prolog.

%description -l pl
Wydajny kompilator Prologu stworzony w LIACC, Universidade do
Porto. Silnik Prologu bazuje na WAM (Warren Abstract Machine), z
rnymi optymalizacjami dla lepszej wydajnoci. Zgodnie z tradycj
Edinburgh jest on wysoce kompatybilny ze standardem ISO-Prolog oraz
z Prologiem Quintus i SICStus.

%package static
Summary:	Static library for YAP Prolog
Summary(pl):	Statyczna biblioteka dla kompilatora Prologu YAP
Group:		Development/Languages
Requires:	%{name} = %{version}-%{release}

%description static
Static library for YAP prolog.

%description static -l pl
Statyczna biblioteka dla kompilatora prologu YAP.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
cp -f /usr/share/automake/config.sub .
%{__aclocal}
%{__autoconf}
CFLAGS="%{rpmcflags}%{!?debug: -fomit-frame-pointer} -Wall"
%configure \
	C_INTERF_FLAGS="%{rpmcflags} -Wall" \
	C_PARSER_FLAGS="%{rpmcflags} -Wall" \
	--enable-coroutining \
	%{?debug:--enable-debug-yap} \
	--enable-depth-limit \
	--enable-low-level-tracer

%{__make}

%{__make} -C docs info

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_infodir},%{_examplesdir}/%{name}-%{version},%{_libdir}/%{name}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install docs/*info* $RPM_BUILD_ROOT%{_infodir}

for d in chr clpqr; do
	mv -f $RPM_BUILD_ROOT%{_datadir}/Yap/$d/examples \
		$RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}/$d
done

%post
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1
/sbin/ldconfig

%postun
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1
/sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README* changes4.3.html docs/yap.tex
%attr(755,root,root) %{_bindir}/yap
%dir %{_libdir}/%{name}
%attr(755,root,root) %{_libdir}/%{name}/*.so
%attr(755,root,root) %{_libdir}/%{name}/startup
%{_datadir}/%{name}
%{_includedir}/%{name}
%{_infodir}/*info*
%{_examplesdir}/%{name}-%{version}

%files static
%defattr(644,root,root,755)
%{_libdir}/libYap.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: Yap.spec,v $
Revision 1.12  2005/09/17 10:44:59  arekm
- readline 5.0

Revision 1.11  2004/12/25 16:34:20  qboosh
- release 2

Revision 1.10  2004/12/24 16:15:11  qboosh
- added info patch (direntry unification)

Revision 1.9  2004/12/24 15:59:43  qboosh
- updated to 4.5.5, added port,nolibs patches
- set proper C_*_FLAGS - now surprisingly builds on alpha
- removed INSTALL from doc (useless in binary package)

Revision 1.8  2004/12/09 22:56:25  undefine
- update ac patch
- ExcludeArch: alpha
- doesn't build, problems with alpha on sf since 4.3.22
  (http://sourceforge.net/tracker/index.php?func=detail&aid=668235&group_id=24437&atid=381483),
  no idea how to fix it ;)

Revision 1.7  2004/12/09 07:32:00  undefine
- up to 4.5.4

Revision 1.6  2004/10/18 23:17:27  undefine
- up to 4.4.4, patch to use dirs from autoconf

Revision 1.5  2003/07/11 12:28:22  ankry
- URL fixes and other cosmetics

Revision 1.4  2003/05/26 16:24:19  malekith
- massive attack: adding Source-md5

Revision 1.3  2003/05/25 05:45:23  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.2  2002/06/15 08:25:01  filon
- examples moved to examplesdir
- release 2

Revision 1.1  2002/06/11 23:05:53  filon
- initial version
- fully funtional, STBR
